org.apache.calcite.avatica

## Enum SqlState.Category

- java.lang.Object
- - java.lang.Enum<SqlState.Category>
  - - org.apache.calcite.avatica.SqlState.Category

All Implemented Interfaces:
  Serializable, Comparable<SqlState.Category>

Enclosing class:
  SqlState

    static enum SqlState.Category
    extends Enum<SqlState.Category>

Severity types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`N` No data (class 02).
`S` Success (class 00).
`W` Warning (class 01).
`X` Exception (all other classes).

### Method Summary

All Methods Static Methods Concrete Methods
`static SqlState.Category` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlState.Category[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### S

    public static final SqlState.Category S

Success (class 00).

#### W

    public static final SqlState.Category W

Warning (class 01).

#### N

    public static final SqlState.Category N

No data (class 02).

#### X

    public static final SqlState.Category X

Exception (all other classes).

### Method Detail

#### values

    public static SqlState.Category[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlState.Category c : SqlState.Category.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlState.Category valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null